<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://www.ascc.net/xml/schematron">
   <title>Schéma généré par XSLT</title>
   <ns uri="http://xml.insee.fr/schema/etat-civil" prefix="ec"/>
   <pattern name="contraintes">
      <rule context="ec:ActeDeDeces/ec:Defunt/ec:DefuntIdentifie">
         <assert test="(ec:NomDeFamilleDuConjoint or not(normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'mar' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'veuf' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'div')) and (not(ec:NomDeFamilleDuConjoint) or (normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'mar' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'veuf' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'div'))">Element ec:NomDeFamilleDuConjoint dans <name/>: si et seulement si état matrimonial au moment du décès = mar, veuf, div</assert>
         <assert test="(ec:PrenomsOfficielsDuConjoint or not(normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'mar' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'veuf' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'div')) and (not(ec:PrenomsOfficielsDuConjoint) or (normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'mar' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'veuf' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'div'))">Element ec:PrenomsOfficielsDuConjoint dans <name/>: si et seulement si état matrimonial au moment du décès = mar, veuf, div</assert>
      </rule>
      <rule context="ec:ActeDeMariage/ec:Conjoint">
         <assert test="(ec:NomsDuPrecedentConjoint or not(normalize-space(ec:EtatMatrimonialAvantLeMariage) = 'veuf' or normalize-space(ec:EtatMatrimonialAvantLeMariage) = 'div')) and (not(ec:NomsDuPrecedentConjoint) or (normalize-space(ec:EtatMatrimonialAvantLeMariage) = 'veuf' or normalize-space(ec:EtatMatrimonialAvantLeMariage) = 'div'))">Element ec:NomsDuPrecedentConjoint dans <name/>: si et seulement si état matrimonial avant le mariage = veuf, div</assert>
         <assert test="(ec:PrenomsDuPrecedentConjoint or not(normalize-space(ec:EtatMatrimonialAvantLeMariage) = 'veuf' or normalize-space(ec:EtatMatrimonialAvantLeMariage) = 'div')) and (not(ec:PrenomsDuPrecedentConjoint) or (normalize-space(ec:EtatMatrimonialAvantLeMariage) = 'veuf' or normalize-space(ec:EtatMatrimonialAvantLeMariage) = 'div'))">Element ec:PrenomsDuPrecedentConjoint dans <name/>: si et seulement si état matrimonial avant le mariage = veuf, div</assert>
      </rule>
      <rule context="ec:ActeDeNaissance/ec:Enfant">
         <assert test="(ec:DateDeLaDeclarationConjointe or not(normalize-space(ec:DeclarationConjointeDeChoixDeNom) = 'O')) and (not(ec:DateDeLaDeclarationConjointe) or (normalize-space(ec:DeclarationConjointeDeChoixDeNom) = 'O'))">Element ec:DateDeLaDeclarationConjointe dans <name/>: si et seulement si déclaration conjointe de choix de nom =O</assert>
      </rule>
      <rule context="ec:ActeDeTranscriptionDeJap/ec:Enfant">
         <assert test="(ec:DateDeLaDeclarationConjointe or not(normalize-space(ec:DeclarationConjointeDeChoixDeNom) = 'O')) and (not(ec:DateDeLaDeclarationConjointe) or (normalize-space(ec:DeclarationConjointeDeChoixDeNom) = 'O'))">Element ec:DateDeLaDeclarationConjointe dans <name/>: si et seulement si déclaration conjointe de choix de nom =O</assert>
      </rule>
      <rule context="ec:ActeDeTranscriptionDeJdd/ec:Defunt/ec:DefuntIdentifie">
         <assert test="(ec:NomDeFamilleDuConjoint or not(normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'mar' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'veuf' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'div')) and (not(ec:NomDeFamilleDuConjoint) or (normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'mar' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'veuf' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'div'))">Element ec:NomDeFamilleDuConjoint dans <name/>: si et seulement si état matrimonial au moment du décès = mar, veuf, div</assert>
         <assert test="(ec:PrenomsOfficielsDuConjoint or not(normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'mar' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'veuf' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'div')) and (not(ec:PrenomsOfficielsDuConjoint) or (normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'mar' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'veuf' or normalize-space(ec:EtatMatrimonialAuMomentDuDeces) = 'div'))">Element ec:PrenomsOfficielsDuConjoint dans <name/>: si et seulement si état matrimonial au moment du décès = mar, veuf, div</assert>
      </rule>
      <rule context="ec:ActeDeTranscriptionDeJdn/ec:Enfant">
         <assert test="(ec:DateDeLaDeclarationConjointe or not(normalize-space(ec:DeclarationConjointeDeChoixDeNom) = 'O')) and (not(ec:DateDeLaDeclarationConjointe) or (normalize-space(ec:DeclarationConjointeDeChoixDeNom) = 'O'))">Element ec:DateDeLaDeclarationConjointe dans <name/>: si et seulement si déclaration conjointe de choix de nom =O</assert>
      </rule>
   </pattern>
</schema>