<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:sch="http://www.ascc.net/xml/schematron"
                xmlns:ie="http://xml.insee.fr/schema"
                version="1.0"
                ie:dummy-for-xmlns="">
   <xsl:template match="*|@*" mode="schematron-get-full-path">
      <xsl:apply-templates select="parent::*" mode="schematron-get-full-path"/>
      <xsl:text>/</xsl:text>
      <xsl:if test="count(. | ../@*) = count(../@*)">@</xsl:if>
      <xsl:value-of select="name()"/>
      <xsl:text>[</xsl:text>
      <xsl:value-of select="1+count(preceding-sibling::*[name()=name(current())])"/>
      <xsl:text>]</xsl:text>
   </xsl:template>
   <xsl:template match="/">
      <xsl:apply-templates select="/" mode="M2"/>
   </xsl:template>
   <xsl:template match="*[ie:Noms|ie:Prenoms]" priority="4000" mode="M2">
      <xsl:if test="normalize-space(concat(ie:Noms/ie:NomFamille, ie:Prenoms/ie:Prenom[1])) = '' ">Le nom de famille et le premier prénom ne doivent pas être simultanément vides.</xsl:if>
      <xsl:apply-templates mode="M2"/>
   </xsl:template>
   <xsl:template match="text()" priority="-1" mode="M2"/>
   <xsl:template match="text()" priority="-1"/>
</xsl:stylesheet>
